Individuals

Create A Phone Number For An Individual

POSThttps://api.getcovent.com/api/v1/individuals/{id}/phones

Create a phone number for an individual.

How to Call

Use one of the examples below to call this endpoint from your own integration.

curl -X POST "https://api.getcovent.com/api/v1/individuals/{id}/phones" \
  -H "Authorization: Bearer <API_KEY>" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
  "phone": "+14805550199",
  "label": "mobile",
  "is_primary": true
}'

Request

Review headers, parameters, and body fields before calling this endpoint.

AuthorizationstringRequired

Bearer token for the proposed external API contract.

Example: Bearer <API_KEY>
AcceptstringRequired

Response format header.

Example: application/json
Content-TypestringRequired

JSON request body header.

Example: application/json

idstringRequired

id path parameter.

Example: <id>

phonestringRequired

phone request field.

Example: +14805550199
labelstringRequired

label request field.

Example: mobile
is_primarybooleanRequired

is_primary request field.

Example: true

Response

200application/json

idstringRequired

id response field.

Example: phone_123
phonestringRequired

phone response field.

Example: +14805550199
labelstringRequired

label response field.

Example: mobile
is_primarybooleanRequired

is_primary response field.

Example: true

Response Example

{
  "id": "phone_123",
  "phone": "+14805550199",
  "label": "mobile",
  "is_primary": true
}